#pragma once

#include <inttypes.h>

uint32_t hardware_timestamp_is_running( uint32_t base );
uint32_t hardware_timestamp_is_stopped( uint32_t base );
uint32_t hardware_timestamp( uint32_t base );

void hardware_timestamp_start( uint32_t base );
void hardware_timestamp_stop( uint32_t base );
